# cc_credentials_f Struct Reference

## Detailed Description

Function pointer table for cc_credentials_t. For more information see cc_credentials_t Overview.

## Data Fields

- cc_int32(* release )(cc_credentials_t io_credentials)
    cc_credentials_release(): Release memory associated with a cc_credentials_t object.
- cc_int32(* compare )(cc_credentials_t in_credentials, cc_credentials_t in_compare_to_credentials, cc_uint32 *out_equal)
    cc_credentials_compare(): Compare two credentials objects.

## Field Documentation

cc_int32(* release)(cc_credentials_t io_credentials)

cc_credentials_release(): Release memory associated with a cc_credentials_t object.

Parameters:

  | io_credentials | the credentials object to release.

Returns:
  On success, ccNoError. On failure, an error code representing the failure.

cc_int32(* compare)(cc_credentials_t in_credentials, cc_credentials_t in_compare_to_credentials, cc_uint32 *out_equal)

cc_credentials_compare(): Compare two credentials objects.

Parameters:

  | in_credentials | a credentials object.
  | in_compare_to_credentials | a credentials object to compare with in_credentials.
  | out_equal | on exit, whether or not the two credentials objects refer to the same credentials in the cache collection.

Returns:
  On success, ccNoError. On failure, an error code representing the failure.